package formular;
import java.util.*;

public class Anforderung extends AbstractFormular implements Cloneable {
	private List<AnforderungPosition> positionen = new ArrayList<AnforderungPosition>();

	public List<AnforderungPosition> getPositionen() {
		return positionen;
	}

	@Override
	public Formular copy() {
		try {
			Anforderung cloned = (Anforderung) clone();
			cloned.positionen = new ArrayList<AnforderungPosition>();
			return cloned;
		} catch (CloneNotSupportedException e) {
			e.printStackTrace();
			return null;
		}
	}

	@Override
	public String toString() {
		return String.format("%s: Anforderung mit %d Positionen", super.toString(), getPositionen().size());
	}
}
