
public class AnimalImpl implements Animal, Cloneable {
	private String description;
	private int legs;
	
	

	public AnimalImpl(String description, int legs) {
		super();
		this.description = description;
		this.legs = legs;
	}

	@Override
	public String getDescription() {
		return description;
	}

	@Override
	public int getLegs() {
		return legs;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setLegs(int legs) {
		this.legs = legs;
	}

	@Override
	public Animal cloneAnimal() {
		try {
			return (Animal) clone();
		} catch (CloneNotSupportedException e) {
			e.printStackTrace();
			return null;
		}
	}

	@Override
	public String toString() {
		return "AnimalImpl [description=" + description + ", legs=" + legs
				+ "]";
	}

}
