package text;

public abstract class AbstractComponentWithoutChildren implements Component {

	@Override
	public void add(Component c) {
		throw new OperationNotSupported();
	}

	@Override
	public boolean hasChildren() {
		return false;
	}

	@Override
	public Iterable<Component> getChildren() {
		throw new OperationNotSupported();
	}

}
