package text;

public class DocumentFactory {
	public Component createComposition() {
		return new Composition();
	}
	
	public Component createText(String text) {
		return new Text(text);
	}
	
	public Component decorateComponent(Component c, Style style) {
		return new StyleDecorator(c, style);
	}
}
