package formular;
import java.util.Date;

public class Urlaub extends AbstractFormular implements Formular, Cloneable {
	private Date start;
	private Date ende;
	
	public Date getStart() {
		return start;
	}

	public void setStart(Date start) {
		this.start = start;
	}

	public Date getEnde() {
		return ende;
	}

	public void setEnde(Date ende) {
		this.ende = ende;
	}

	@Override
	public Formular copy() {
		try {
			return (Formular) super.clone();
		} catch (CloneNotSupportedException e) {
			e.printStackTrace();
			return null;
		}
	}
	
	@Override
	public String toString() {
		return String.format("%s: Urlaub von %s bis %s", super.toString(), getStart(), getEnde());
	}
}
